API resource
Mentions, reviews and labels
The rest of the inbox: mentions of your accounts in the last 7 days (LinkedIn organization mentions, Instagram comment and caption tags) and replies to them, Facebook Page reviews and replies, Messenger conversation labels, message requests (accept by replying), handover between apps, editing a comment, liking a post, deleting a conversation and a fresh URL for a message attachment (Meta expires DM media links).
List the Page's conversation labels
/v1/inbox/labelsWorks on: Instagram, Facebook, LinkedIn
Query parameters
accountIdstringrequiredFacebook social account ID
curl "https://creatoros-production-5658.up.railway.app/v1/inbox/labels?accountId=acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r" \
-H "Authorization: Bearer $CREATOROS_API_KEY"{
"labels": [
{
"id": "string",
"name": "string"
}
]
}Create a conversation label
/v1/inbox/labelsWorks on: Instagram, Facebook, LinkedIn
Body
accountIdstringrequiredFacebook social account ID
namestringrequiredLabel name
curl -X POST "https://creatoros-production-5658.up.railway.app/v1/inbox/labels" \
-H "Authorization: Bearer $CREATOROS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r",
"name": "string"
}'{
"label": {
"id": "string",
"name": "string"
}
}Delete a conversation label
/v1/inbox/labels/{labelId}Works on: Instagram, Facebook, LinkedIn
Path parameters
labelIdstringrequiredMeta label id
Query parameters
accountIdstringrequiredFacebook social account ID
curl -X DELETE "https://creatoros-production-5658.up.railway.app/v1/inbox/labels/987654321098765?accountId=acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r" \
-H "Authorization: Bearer $CREATOROS_API_KEY"{
"success": true
}List mentions
/v1/inbox/mentionsWorks on: Instagram, Facebook, LinkedIn
Query parameters
accountIdstringFilter by account ID
sortOrderstringSort order by publishedAt One of: asc, desc.
limitintegercursorstringCursor for pagination (ID of the last item from the previous page)
curl "https://creatoros-production-5658.up.railway.app/v1/inbox/mentions" \
-H "Authorization: Bearer $CREATOROS_API_KEY"{
"data": [
{
"id": "string",
"platform": "social",
"type": "caption",
"mediaId": "18045678901234567",
"postId": "post_V9cK2mQ7xL4pR8tN1wZ6bH3jF5dS0aG7eU2iO4kY9",
"commentId": "17958467203124567",
"accountId": "acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r",
"accountUsername": "string",
"content": "string",
"contentNotRetained": true,
"permalink": "string",
"authorUrn": "string",
"authorName": "string",
"authorUsername": "string",
"authorPicture": "string",
"organizationalEntity": "string",
"publishedAt": "2026-10-10T00:00:00.000Z",
"createdAt": "2026-10-10T00:00:00.000Z"
}
],
"pagination": {
"hasMore": true,
"cursor": "string"
},
"meta": {
"total": 0,
"sortOrder": "asc"
}
}Reply to a mention
/v1/inbox/mentions/replyWorks on: Instagram, Facebook, LinkedIn
Body
accountIdstringrequiredThe Instagram account ID
mediaIdstringrequiredThe ID of the media the account was mentioned in
commentIdstringThe mentioning comment's ID. Omit for a caption mention.
messagestringrequiredThe reply text
curl -X POST "https://creatoros-production-5658.up.railway.app/v1/inbox/mentions/reply" \
-H "Authorization: Bearer $CREATOROS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r",
"mediaId": "18045678901234567",
"message": "string"
}'{
"success": true,
"id": "string"
}List reviews
/v1/inbox/reviewsWorks on: Instagram, Facebook, LinkedIn
Query parameters
platformstringOne of: facebook, googlebusiness.
minRatingintegermaxRatingintegerhasReplybooleanFilter by reply status
sortBystringOne of: date, rating.
sortOrderstringOne of: asc, desc.
limitintegercursorstringaccountIdstringFilter by specific account ID
curl "https://creatoros-production-5658.up.railway.app/v1/inbox/reviews" \
-H "Authorization: Bearer $CREATOROS_API_KEY"{
"status": "string",
"data": [
{
"id": "string",
"platform": "social",
"accountId": "acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r",
"accountUsername": "string",
"locationId": "string",
"locationName": "string",
"reviewer": {
"id": "string",
"name": "string",
"profileImage": "string"
},
"rating": 0,
"recommendationType": "positive",
"text": "string",
"created": "2026-10-10T00:00:00.000Z",
"hasReply": true,
"hasPhotos": true,
"photoCount": 0,
"photos": [
{}
],
"reply": {
"id": "string",
"text": "string",
"created": "2026-10-10T00:00:00.000Z"
},
"reviewUrl": "string"
}
],
"pagination": {
"hasMore": true,
"nextCursor": "string"
},
"meta": {
"accountsQueried": 0,
"accountsFailed": 0,
"failedAccounts": [
{
"accountId": "acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r",
"accountUsername": "string",
"platform": "social",
"error": "string",
"code": "string",
"retryAfter": 0
}
],
"lastUpdated": "2026-10-10T00:00:00.000Z",
"accountsSkipped": [
{
"accountId": "acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r",
"platform": "social"
}
]
},
"summary": {
"totalReviews": 0,
"averageRating": 0
}
}Reply to review
/v1/inbox/reviews/{reviewId}/replyWorks on: Instagram, Facebook, LinkedIn
Path parameters
reviewIdstringrequiredReview ID (URL-encoded for Google Business Profile)
Body
accountIdstringrequiredmessagestringrequiredcurl -X POST "https://creatoros-production-5658.up.railway.app/v1/inbox/reviews/123456789012345/reply" \
-H "Authorization: Bearer $CREATOROS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r",
"message": "string"
}'{
"status": "string",
"reply": {
"id": "string",
"text": "string",
"contentNotRetained": true,
"created": "2026-10-10T00:00:00.000Z"
},
"platform": "social"
}Delete review reply
/v1/inbox/reviews/{reviewId}/replyWorks on: Instagram, Facebook, LinkedIn
Path parameters
reviewIdstringrequiredBody
accountIdstringrequiredcurl -X DELETE "https://creatoros-production-5658.up.railway.app/v1/inbox/reviews/123456789012345/reply" \
-H "Authorization: Bearer $CREATOROS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r"
}'{
"status": "string",
"message": "string",
"platform": "social"
}Like post
/v1/inbox/posts/{postId}/likeWorks on: Instagram, Facebook, LinkedIn
Path parameters
postIdstringrequiredCreator OS post ID or the platform's native post ID
Body
accountIdstringrequiredThe account acting as the liker
reactionTypestring(LinkedIn only) Reaction to create. Defaults to LIKE; ignored on other platforms.
cidstring(Bluesky only) Content identifier of the post
curl -X POST "https://creatoros-production-5658.up.railway.app/v1/inbox/posts/post_V9cK2mQ7xL4pR8tN1wZ6bH3jF5dS0aG7eU2iO4kY9/like" \
-H "Authorization: Bearer $CREATOROS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r"
}'{
"status": "string",
"postId": "post_V9cK2mQ7xL4pR8tN1wZ6bH3jF5dS0aG7eU2iO4kY9",
"platform": "social",
"liked": true,
"likeUri": "string",
"alreadyReacted": true,
"reactionType": "string"
}Unlike post
/v1/inbox/posts/{postId}/likeWorks on: Instagram, Facebook, LinkedIn
Path parameters
postIdstringrequiredCreator OS post ID or the platform's native post ID
Query parameters
accountIdstringrequiredlikeUristring(Bluesky only) The like URI returned when liking
curl -X DELETE "https://creatoros-production-5658.up.railway.app/v1/inbox/posts/post_V9cK2mQ7xL4pR8tN1wZ6bH3jF5dS0aG7eU2iO4kY9/like?accountId=acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r" \
-H "Authorization: Bearer $CREATOROS_API_KEY"{
"status": "string",
"postId": "post_V9cK2mQ7xL4pR8tN1wZ6bH3jF5dS0aG7eU2iO4kY9",
"platform": "social",
"liked": true
}Edit comment
/v1/inbox/comments/{postId}/{commentId}Works on: Instagram, Facebook, LinkedIn
Path parameters
postIdstringrequiredcommentIdstringrequiredBody
accountIdstringrequiredThe account ID
platformstringrequiredOnly Reddit supports editing a comment
contentstringrequiredThe new comment body
curl -X PATCH "https://creatoros-production-5658.up.railway.app/v1/inbox/comments/post_V9cK2mQ7xL4pR8tN1wZ6bH3jF5dS0aG7eU2iO4kY9/17958467203124567" \
-H "Authorization: Bearer $CREATOROS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r",
"platform": "social",
"content": "string"
}'{
"status": "string",
"commentId": "17958467203124567",
"platform": "social"
}Delete conversation
/v1/inbox/conversations/{conversationId}Works on: Instagram, Facebook, LinkedIn
Path parameters
conversationIdstringrequiredOpaque conversation identifier, accepted verbatim from the list endpoint or from the conversationId on inbox webhooks. Format not to be assumed.
Query parameters
accountIdstringrequiredAccount ID
curl -X DELETE "https://creatoros-production-5658.up.railway.app/v1/inbox/conversations/conv_M4nB7vC1xZ9lK3jH6gF2dS8aP5oI0uY7tR4eW1qQ6?accountId=acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r" \
-H "Authorization: Bearer $CREATOROS_API_KEY"{
"success": true,
"data": {
"id": "string",
"accountId": "acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r",
"platform": "social",
"deletedMessages": 0
}
}Change who answers a conversation (handover)
/v1/inbox/conversations/{conversationId}/thread-controlWorks on: Instagram, Facebook, LinkedIn
Path parameters
conversationIdstringrequiredThe conversation ID
Body
accountIdstringrequiredSocial account ID
actionstringrequiredrequest is Facebook and Instagram only. take and request are refused with platform_not_supported on Instagram accounts connected with Instagram Login.
targetstringWhatsApp only. With action pass: send control to Meta Business Agent instead of the escalation partner.
targetAppIdstringFacebook and Instagram only, required with action pass: the Meta app id receiving the thread.
metadatastringFree-form note forwarded verbatim to the app receiving control (its messaging_handovers webhook).
curl -X POST "https://creatoros-production-5658.up.railway.app/v1/inbox/conversations/conv_M4nB7vC1xZ9lK3jH6gF2dS8aP5oI0uY7tR4eW1qQ6/thread-control" \
-H "Authorization: Bearer $CREATOROS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r",
"action": "release"
}'{
"success": true,
"control": {
"owner": "app",
"ownerAppId": "string"
}
}Accept a message request
/v1/inbox/conversations/{conversationId}/acceptWorks on: Instagram, Facebook, LinkedIn
Path parameters
conversationIdstringrequiredThe id of the request item from the requests folder.
Body
accountIdstringrequiredFacebook or Instagram social account ID
messagestringrequiredThe reply that accepts the request
curl -X POST "https://creatoros-production-5658.up.railway.app/v1/inbox/conversations/conv_M4nB7vC1xZ9lK3jH6gF2dS8aP5oI0uY7tR4eW1qQ6/accept" \
-H "Authorization: Bearer $CREATOROS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r",
"message": "string"
}'{
"success": true,
"data": {
"messageId": "msg_Q8wE3rT6yU1iO4pA7sD2fG9hJ5kL0zX3cV6bN8mM1"
}
}List the labels on a conversation
/v1/inbox/conversations/{conversationId}/labelsWorks on: Instagram, Facebook, LinkedIn
Path parameters
conversationIdstringrequiredConversation ID (Creator OS id or Meta platform conversation id)
Query parameters
accountIdstringrequiredFacebook social account ID
curl "https://creatoros-production-5658.up.railway.app/v1/inbox/conversations/conv_M4nB7vC1xZ9lK3jH6gF2dS8aP5oI0uY7tR4eW1qQ6/labels?accountId=acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r" \
-H "Authorization: Bearer $CREATOROS_API_KEY"{
"labels": [
{
"id": "string",
"name": "string"
}
]
}Add a label to a conversation
/v1/inbox/conversations/{conversationId}/labelsWorks on: Instagram, Facebook, LinkedIn
Path parameters
conversationIdstringrequiredConversation ID (Creator OS id or Meta platform conversation id)
Body
accountIdstringrequiredFacebook social account ID
labelIdstringrequiredMeta label id from listInboxLabels
curl -X POST "https://creatoros-production-5658.up.railway.app/v1/inbox/conversations/conv_M4nB7vC1xZ9lK3jH6gF2dS8aP5oI0uY7tR4eW1qQ6/labels" \
-H "Authorization: Bearer $CREATOROS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r",
"labelId": "987654321098765"
}'{
"success": true
}Remove a label from a conversation
/v1/inbox/conversations/{conversationId}/labels/{labelId}Works on: Instagram, Facebook, LinkedIn
Path parameters
conversationIdstringrequiredConversation ID (Creator OS id or Meta platform conversation id)
labelIdstringrequiredMeta label id
Query parameters
accountIdstringrequiredFacebook social account ID
curl -X DELETE "https://creatoros-production-5658.up.railway.app/v1/inbox/conversations/conv_M4nB7vC1xZ9lK3jH6gF2dS8aP5oI0uY7tR4eW1qQ6/labels/987654321098765?accountId=acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r" \
-H "Authorization: Bearer $CREATOROS_API_KEY"{
"success": true
}Resolve message attachment
/v1/inbox/conversations/{conversationId}/messages/{messageId}/attachments/{index}Works on: Instagram, Facebook, LinkedIn
Path parameters
conversationIdstringrequiredThe conversation ID (Creator OS id or platform conversation id)
messageIdstringrequiredThe message id as returned by the list-messages endpoint (the platform message id)
indexintegerrequiredZero-based position of the attachment in the message's attachments array
Query parameters
accountIdstringrequiredAccount ID. Required: without it the request returns 400 missing_required_field.
formatstringredirect (default) answers 302 to the media; json returns the url in the body One of: redirect, json.
curl "https://creatoros-production-5658.up.railway.app/v1/inbox/conversations/conv_M4nB7vC1xZ9lK3jH6gF2dS8aP5oI0uY7tR4eW1qQ6/messages/msg_Q8wE3rT6yU1iO4pA7sD2fG9hJ5kL0zX3cV6bN8mM1/attachments/0?accountId=acc_uwsum2TkX6QB7M2BWX_F2kYykNTaWuC3V2Spge_Xm4r" \
-H "Authorization: Bearer $CREATOROS_API_KEY"{
"status": "success",
"url": "string",
"refreshed": true
}